import pino from "pino";
import { genTokenPayload, getData, postData, tokenData, updateData } from "./interfaces";
export { getData, postData, updateData };
export declare class ApiConfig {
    baseURL?: string | undefined;
    headers?: object | undefined;
    logLevel: pino.Level;
    constructor(baseURL?: string | undefined, headers?: object | undefined, logLevel?: pino.Level);
    private log;
    generateToken(payload: genTokenPayload, secret: string): tokenData;
    decodeToken(token: string, secret: string): tokenData;
    getLocalStorageValue(key: string): any;
    get(data: getData): Promise<unknown>;
    post(data: postData): Promise<unknown>;
    put(data: updateData): Promise<unknown>;
    patch(data: updateData): Promise<unknown>;
    delete(data: updateData): Promise<unknown>;
    protected isValidUrl: (url: string) => boolean;
    protected newUrl: (url: string) => string;
    protected CallApi(url: string, requestValues?: object): Promise<unknown>;
}
